fair::mq::FairMQMemoryResource Class Referenceabstract

`#include <MemoryResources.h>`

Inheritance diagram for fair::mq::FairMQMemoryResource:
[legend]
Collaboration diagram for fair::mq::FairMQMemoryResource:
[legend]

## Public Member Functions

virtual FairMQMessagePtr | getMessage (void *p)=0
virtual void * | setMessage (FairMQMessagePtr)=0
virtual FairMQTransportFactory * | getTransportFactory () noexcept=0
virtual size_t | getNumberOfMessages () const noexcept=0

## Detailed Description

All FairMQ related memory resources need to inherit from this interface class for the getMessage() api.

## Member Function Documentation

## getMessage()

virtual FairMQMessagePtr fair::mq::FairMQMemoryResource::getMessage | ( | void * | p | ) |

pure virtual

return the message containing data associated with the pointer (to start of buffer), e.g. pointer returned by std::vector::data() return nullptr if returning a message does not make sense!

Implemented in fair::mq::ChannelResource.

The documentation for this class was generated from the following file:

- fairmq/MemoryResources.h

privacy